Rapid7 Vulnerability & Exploit Database

Huawei EulerOS: CVE-2018-20022: libvncserver security update

Back to Search

Huawei EulerOS: CVE-2018-20022: libvncserver security update

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:P/I:N/A:N)
Published
12/19/2018
Created
03/19/2019
Added
02/22/2019
Modified
02/22/2019

Description

LibVNC before 2f5b2ad1c6c99b1ac6482c95844a84d66bb52838 contains multiple weaknesses CWE-665: Improper Initialization vulnerability in VNC client code that allows attacker to read stack memory and can be abuse for information disclosure. Combined with another vulnerability, it can be used to leak stack memory layout and in bypassing ASLR

Solution(s)

  • huawei-euleros-2_0_sp2-upgrade-libvncserver

References

  • huawei-euleros-2_0_sp2-upgrade-libvncserver

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;